#
# spec file for package perl-Unicode-MapUTF8
#

# norootforbuild

Name:          perl-Unicode-MapUTF8
%define        cpan_name %( %{__sed} -e 's,perl-,,' <<< %{name} )
Summary:       Conversions to and from arbitrary character sets and UTF8
Url:           http://search.cpan.org/perldoc?Unicode::MapUTF8
Group:         Development/Libraries/Perl
License:       Artistic License
Version:       1.11
Release:       1.2
Vendor:        openSUSE-Education
Source:        %{cpan_name}-%{version}.tar.bz2
BuildRequires: perl-macros
#BuildRequires: perl(Test::Distribution)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Unicode::String)
BuildRequires: perl(Unicode::Map)
BuildRequires: perl(Unicode::Map8)
BuildRequires: perl(Jcode)
Requires:      perl = %{perl_version}
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
Provides an adapter layer between core routines for converting to and from
UTF8 and other encodings. In essence, a way to give multiple existing
Unicode modules a single common interface so you don't have to know the
underlaying implementations to do simple UTF8 to-from other character set
encoding conversions. As such, it wraps the Unicode::String, Unicode::Map8,
Unicode::Map and Jcode modules in a standardized and simple API.

This also provides general character set conversion operation based on UTF8
- it is possible to convert between any two compatible and supported
character sets via a simple two step chaining of conversions.

As with most things Perlish - if you give it a few big chunks of text to
chew on instead of lots of small ones it will handle many more characters
per second.

By design, it can be easily extended to encompass any new charset encoding
conversion modules that arrive on the scene.

This module is intended to provide good Unicode support to versions of Perl
prior to 5.8. If you are using Perl 5.8.0 or later, you probably want to be
using the Encode module instead. This module does work with Perl 5.8, but
Encode is the preferred method in that environment.


Author:
-------
    Benjamin Franz <snowhare@nihongo.org>


%prep
%setup -n %{cpan_name}-%{version}

%build
perl Makefile.PL 
make %{?jobs:-j%jobs}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
rm -rf %{buildroot}

%files -f %{name}.files 
%defattr(-, root, root)
%doc Changes README MANIFEST

%changelog
* Sun Mar 28 2010 lars@linux-schulserver.de
- initial version 1.11
